/*
 * Copyright 2013 Licel LLC.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.licel.jcardsim.remote;

import java.io.Serializable;
import javacard.framework.AID;

/**
 * Serializable AID container for the RMI calls.
 *
 * @author LICEL LLC
 */
public class SerializableAID implements Serializable {

    byte[] aidBytes = new byte[16];
    byte aidLen = 0;

    public SerializableAID() {
    }

    public SerializableAID(AID aid) {
        aidLen = aid.getBytes(aidBytes, (short) 0);
    }

    public AID getAID() {
        if (aidLen == 0) {
            throw new IllegalArgumentException("Aid length == 0");
        }
        return new AID(aidBytes, (short) 0, aidLen);
    }
}
